Bug 18005 - Pagination of the search result displayed wrong
Summary: Pagination of the search result displayed wrong
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 16239
Blocks: 18008
  Show dependency treegraph
 
Reported: 2017-01-27 14:48 UTC by Jonathan Druart
Modified: 2017-02-07 21:12 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18005: Re-styled pagination on search results with Bootstrap (3.38 KB, patch)
2017-01-27 20:25 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18005: Re-styled pagination on search results with Bootstrap (3.44 KB, patch)
2017-01-30 10:11 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 18005: Re-styled pagination on search results with Bootstrap (3.50 KB, patch)
2017-01-31 09:13 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-01-27 14:48:21 UTC
There is 1 line per page, it's very ugly :)

Introduced by bug 16239.
Comment 1 Josef Moravec 2017-01-27 20:25:08 UTC
Created attachment 59626 [details] [review]
Bug 18005: Re-styled pagination on search results with Bootstrap

Test plan:
0. Don't apply path
1. Make catalogue search in staff client with more then 20 results,
    scroll down to see that pagination is broken
2. Apply the patch
3. Make similar search and confirm, the pagination looks OK with new
style
Comment 2 Claire Gravely 2017-01-30 10:11:54 UTC
Created attachment 59642 [details] [review]
Bug 18005: Re-styled pagination on search results with Bootstrap

Test plan:
0. Don't apply path
1. Make catalogue search in staff client with more then 20 results,
    scroll down to see that pagination is broken
2. Apply the patch
3. Make similar search and confirm, the pagination looks OK with new
style

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Comment 3 Jonathan Druart 2017-01-31 09:13:14 UTC
Created attachment 59670 [details] [review]
Bug 18005: Re-styled pagination on search results with Bootstrap

Test plan:
0. Don't apply path
1. Make catalogue search in staff client with more then 20 results,
    scroll down to see that pagination is broken
2. Apply the patch
3. Make similar search and confirm, the pagination looks OK with new
style

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Kyle M Hall 2017-02-07 17:48:18 UTC
Pushed to master for 17.05, thank Josef!
Comment 5 Katrin Fischer 2017-02-07 21:12:57 UTC
Bug and patches for 16239 are not present in 16.11.x - patch is not needed.